For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
SupportDeel Home
OverviewPlatformEmployer of RecordContractorsGlobal PayrollHREmbeddedDeel ITAPI ReferenceChangelog
OverviewPlatformEmployer of RecordContractorsGlobal PayrollHREmbeddedDeel ITAPI ReferenceChangelog
  • Resources
    • Blog
    • Community
    • API spec
  • Endpoints
      • POSTAdd Candidate
    • PATCHProfiles
LogoLogo
SupportDeel Home
EndpointsCandidates

Add Candidate

POST
/candidates
POST
/rest/v2/candidates
$curl -X POST https://api.letsdeel.com/rest/v2/candidates \
> -H "Authorization: Bearer <token>" \
> -H "Content-Type: application/json" \
> -d '{
> "data": {
> "id": "123456",
> "link": "https://atsexample.com/profile/id",
> "status": "offer-accepted",
> "last_name": "Doe",
> "first_name": "John",
> "start_date": "2022-12-31"
> }
>}'
1{
2 "data": {
3 "created": true
4 }
5}

Creates a candidate record for contractor onboarding outside of an ATS flow. The returned record can be used in subsequent contract creation calls. Token scopes: candidates:write

Was this page helpful?
Previous

Create a consent token

Next
Built with

Authentication

AuthorizationBearer
## Authentication The Deel API uses bearer tokens to authenticate requests. All API calls must be made over HTTPS — calls over plain HTTP or without authentication will fail. ```curl curl -X GET 'https://api.letsdeel.com/rest/v2/contracts' \ -H 'Authorization: Bearer YOUR-TOKEN-HERE' ``` [Learn more about authentication](/api/authentication)
OR
AuthorizationBearer

Standard OAuth2 security scheme based on https://swagger.io/docs/specification/authentication/

Request

Add a candidate to Deel
dataobjectRequired
Details of candidate to create

Response

Successful operation.
dataobject

Errors

400
Bad Request Error
401
Unauthorized Error
403
Forbidden Error
404
Not Found Error
500
Internal Server Error

Authentication

The Deel API uses bearer tokens to authenticate requests. All API calls must be made over HTTPS — calls over plain HTTP or without authentication will fail.

1curl -X GET 'https://api.letsdeel.com/rest/v2/contracts' \
2 -H 'Authorization: Bearer YOUR-TOKEN-HERE'

Learn more about authentication